Retrieve Document Version Attachment Versions
Retrieve all versions of an attachment on a specific document version.
GET
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/attachments/{attachment_id}/versionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
{attachment_id} | The id of the document attachment to retrieve. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/documents/17/versions/0/1/attachments/39/versionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"version__v": 1,
"url": "https://myvault.veevavault.com/api/v25.2/objects/documents/17/versions/0/1/attachments/2901/versions/1"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists the attachment versions on the specified document version along with the url to retrieve the metadata for each attachment version.